/***************************************************************************/
/*                                                                         */
/* File: xdata.cpp                         Date: 14-08-2004                */
/*                                                                         */
/* Auth: Ben Kenwright                    Email: bkenwright@xbdev.net      */
/*                                                                         */
/* Project: Making a simple IRC Program.  A Bot that thinks and does more! */
/*                                                                         */
/***************************************************************************/
/*
   Rather than overloading a large constructor...or creating an instance
   and seting each one, one by one.
   I did a quick test setup by initializing a whole data structure on
   startup here.

   We could of course read in this data from a file later one....which would
   make our file so much more flexible...but this will do for now for the
   settup and debugging stages.
*/
/***************************************************************************/

#include "xdata.h"

/***************************************************************************/

stData g_data = 

{
	"bobyvodi",            // nick name
	"xfactor",             // default channel to join
	"irc.efnet.nl",        // EFnet server
	6667,                  // which port

	21,                    // How many sayings we have below us
	{ 
		SPEAK, ":)",
		SPEAK, ":)",
		THINK, "eats a cookie",
		SPEAK, ":)",
/*5*/	SPEAK, "life really is like a box of chochlates...don't ask me where that came from :-/",
		SPEAK, "hmmm...wonder what kl0wns doing..hehe",
		SPEAK, ":)",
		THINK, "wonders why he didn't win the lottery",
		SPEAK, ":)",
/*10*/	SPEAK, ":)",
		THINK, "slurps his tea",
		SPEAK, "hides kl0wns slippers",
		SPEAK, ":)",
		SPEAK, "lol",
/*15*/	THINK, "is thinking about some 1's and 0's",
		SPEAK, ":)",
    	SPEAK, ":}",
		THINK, "looks around the channel for a screwdriver",
		SPEAK, ":p",
/*20*/	SPEAK, "kll0000wwwnnnnn....tell me about C pointers please..pretty please :)",
		SPEAK, ":)"
	}


};//End g_data






