/***************************************************************************/
/*                                                                         */
/* File: xdata.h                           Date: 14-08-2004                */
/*                                                                         */
/* Auth: Ben Kenwright                    Email: bkenwright@xbdev.net      */
/*                                                                         */
/* Project: Making a simple IRC Program.  A Bot that thinks and does more! */
/*                                                                         */
/***************************************************************************/
/*
   We put common data structures here, and common strings.
*/
/***************************************************************************/
#pragma once


/***************************************************************************/


#define STR_MSG          "PRIVMSG #%s :%s\r\n"
#define STR_ME           "PRIVMSG #%s :\001ACTION %s\001\r\n"



#define SZMAX       200   // maximum length of our strings
#define MAX_SAYINGS 100   // maximum number of sayings/quotes


enum { SPEAK=0, THINK };  // SPEAK is for normal text out for talking
                          // THINK is for the /me option as for pink text


struct stSayings
{
	int  type;
	char str[SZMAX];
};


struct stData
{
	char nick[SZMAX];        // = "bobyvodi";
	char channel[SZMAX];     // = "xfactor";

	char szHostName[SZMAX];  // = "irc.efnet.nl";
	int  port;               // = 6667;

	int  inumsayings;
	stSayings saying[MAX_SAYINGS];

};//End struct stData







