/***************************************************************************/
/*                                                                         */
/* File: xdebug.cpp                       Date: 14-08-2004                 */
/*                                                                         */
/* Auth: Ben Kenwright                    Email: bkenwright@xbdev.net      */
/*                                                                         */
/* Project: Making a simple IRC Program.  A Bot that thinks and does more! */
/*                                                                         */
/***************************************************************************/ 
/*
   We constantly want to keep track of whats happened and what is happening
   ...sometimes our program might crash!...do display a massive amount of
   text which we might want to look at later for analysis.
   So a simple debug file is settup...it writes the data to the screen and
   also writes it to an output.txt file.
*/
/***************************************************************************/ 


#include "xdebug.h"
#include <stdio.h>


/***************************************************************************/ 
/*                                                                         */
/*  Name: dbg(..)                                 Date: 14-08-2004         */
/*                                                                         */
/*  Auth: bkenwright@xbdev.net                                             */
/*                                                                         */
/*  Description:  We want to save our information to a txt file and also   */
/*      display it to screen.  We can do this, with the help of this       */
/*      little baby here :)                                                */
/*                                                                         */
/*  Parameters:   pointer to the string we want to write to the screen,    */
/*                and to file.  e.g. dbg("testing");                       */
/*                                                                         */
/*  Returns:      void - nothing                                           */
/*                                                                         */
/***************************************************************************/
void dbg(char *str)
{
      FILE *fp = fopen("output.txt", "a+");
      fprintf(fp, "%s\n", str);
      fclose(fp);

	  printf("%s\n", str);
};//End dbg(..)



