/***************************************************************************/
/*                                                                         */
/* File: xstr.cpp                         Date: 14-08-2004                 */
/*                                                                         */
/* Auth: Ben Kenwright                    Email: bkenwright@xbdev.net      */
/*                                                                         */
/* Project: Making a simple IRC Program.  A Bot that thinks and does more! */
/*                                                                         */
/***************************************************************************/ 
/*
   Well I decided to make some simple string functions here.  We can add
   a lot more string manipulation functions as we progress.
*/
/***************************************************************************/ 


/////////////////////////////////////////////////////////////////////////////
//                     Useful string functions here                        //
/////////////////////////////////////////////////////////////////////////////



#include <string.h> // strstr(..)



/***************************************************************************/ 
/*                                                                         */
/*  Name: xstrstr(..)                             Date: 14-08-2004         */
/*                                                                         */
/*  Auth: bkenwright@xbdev.net                                             */
/*                                                                         */
/*  Description:  Does basically the same as the runtime C function        */
/*     strstr(..) but returns true if if finds a string and false if it    */
/*     doest.                                                              */
/*                                                                         */
/*  Parameters:   s1, string to be checked                                 */
/*                s2, the word or sub string where looking for in s1       */
/*                                                                         */
/*  Returns:      true -> found an occurance of it                         */
/*                false -> nothing found                                   */
/*                                                                         */
/***************************************************************************/ 

// Wrote this as a simplification of strstr(..) so now if it finds
// a sub string of s2 in s1 it simply returns true :)
bool xstrstr(char * s1, char * s2 )
{
	if( strstr(s1, s2) != 0 ) return true;
	return false;
}//End xstrstr(..)




